/*
 * X10 controller plugin for the Video Disk Recorder       
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: deviceListMenu.h,v 1.4 2005/03/16 21:27:14 toni Exp $                                           
 */

#ifndef __DEVICELISTMENU_H
#define __DEVICELISTMENU_H

#include "X10Device.h"
#include <vdr/osdbase.h>
#include <vdr/osd.h>

class cDeviceListMenu : public cOsdMenu
{
 public:
   cDeviceListMenu();
   ~cDeviceListMenu();
   virtual eOSState ProcessKey(eKeys key);
   cX10Device* getCurrentDevice();
 private:
   eOSState DeviceOn(void);
   eOSState DeviceBright(void);
   eOSState DeviceDim(void);
   eOSState DeviceOff(void);
};

#endif
